> ## Documentation Index
> Fetch the complete documentation index at: https://germeytechnology-docs-remove-4o-image-nav.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# WebExtrator Task Query API

> WebExtrator Web Render & Extract 集成指南 - Ace Data Cloud

`POST https://api.acedata.cloud/webextrator/tasks` (**Free**)

Query historical `render` / `extract` tasks (retained for 7 days).

## Single Query

```json theme={null}
{
  "action": "retrieve",
  "id": "550e8400-e29b-41d4-a716-446655440000"
}
```

Or by `trace_id`:

```json theme={null}
{
  "action": "retrieve",
  "trace_id": "550e8400-e29b-41d4-a716-446655440001"
}
```

Returns a single task object (including fields such as `request` / `response` / `started_at` / `finished_at`).

## Batch Query

```json theme={null}
{
  "action": "retrieve_batch",
  "ids": ["...", "..."],
  "limit": 12,
  "offset": 0
}
```

Or use `trace_ids`, or omit both to paginate through your own task history.

Returns:

```json theme={null}
{
  "items": [ { /* task */ }, ... ],
  "count": 2
}
```

## Field Definitions

| Field                                    | Description                                            |
| ---------------------------------------- | ------------------------------------------------------ |
| `id` / `task_id`                         | Unique task ID                                         |
| `trace_id`                               | Trace chain ID (aligned with PlatformGateway / CLS)    |
| `type`                                   | `render` or `extract`                                  |
| `request`                                | Original request body                                  |
| `response`                               | Render / extract result (same as sync response `data`) |
| `started_at` / `finished_at` / `elapsed` | Timestamps and elapsed time (seconds)                  |

> This API is free and does not count towards usage.
